/*! \file KML_Document.h 
 *  \brief: header file for kml_document object
 */

#ifndef _KML_DOCUMENT_H_
#define _KML_DOCUMENT_H_

/*Headers:*/
/*{{{*/
#include "../../../include/include.h"
#include "../../../shared/Exceptions/exceptions.h"
#include "../../../EnumDefinitions/EnumDefinitions.h"

#include "./KML_Container.h"
class KML_Feature;
/*}}}*/

class KML_Document: public KML_Container {

	public:

		/*KML_Document constructors, destructors {{{*/
		KML_Document();
		~KML_Document();
		/*}}}*/
		/*Object virtual functions definitions:{{{ */
		void  Echo();
		void  DeepEcho();
		void  DeepEcho(const char* indent);
		void  Write(FILE* fid,const char* indent);
		void  Read(FILE* fid,char* kstr);
		int   Id(){_error2_("Not implemented yet.");};
		int   MyRank(){_error2_("Not implemented yet.");};
		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
		int   MarshallSize(){_error2_("Not implemented yet.");};
		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
		int   ObjectEnum(){_error2_("Not implemented yet.");};
		Object* copy(){_error2_("Not implemented yet.");};
		/*}}}*/

};
#endif  /* _KML_DOCUMENT_H */

